%define version 3.9.7
%define release %mkrel 5

%define major 3
%define libname %mklibname ticables %{major}
%define develname %mklibname -d ticables

Summary:	Library to handle the different TI link cables
Name:		libticables
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Communications
Url:		http://tilp.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libusb-devel
Requires:	%{libname} = %{version}


%description
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package	-n %{libname}
Group:		System/Libraries
Summary:	Library to handle different TI link cables
Requires:	%{name} = %{version}

%description	-n %{libname}
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package	-n %{develname}
Summary:	Development related files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d ticables 3

%description	-n %{develname}
This package contains headers and other necessary files to develop or compile
applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --enable-static=yes --enable-logging=yes
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std gnulocaledir=${RPM_BUILD_ROOT}%{_datadir}/locale

%find_lang %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Sun Jul 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.9.7-5mdv2009.0
+ Revision: 250599
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 3.9.7-3mdv2008.1
+ Revision: 189881
- Fix lib group

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Funda Wang <fundawang@mandriva.org> 3.9.7-2mdv2008.1
+ Revision: 116813
- New license policy
- New devel package policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill changelog left by repsys


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-14 16:59:55 (41121)
- 3.9.7

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-14 16:45:50 (41120)
- Import libticables

* Tue Jun 28 2005 Olivier Thauvin <nanardon@mandriva.org> 3.9.2-1mdk
- 3.9.2

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 3.8.7-1mdk
- New version

* Sun May 30 2004 Abel Cheung <deaddog@deaddog.org> 3.8.4-1mdk
- New version

* Sat Oct 11 2003 Abel Cheung <deaddog@deaddog.org> 3.7.7-2mdk
- Add missing locale files

* Sat Oct 11 2003 Abel Cheung <deaddog@deaddog.org> 3.7.7-1mdk
- 3.7.7
- License is LGPL
- More verbose description
- mklibname
- Remove unnecessary buildrequires
- Build static library
- Enable logging

